<?php

namespace Drupal\self_evaluation\QuestionType;

/**
 * Interface Question Type.
 */
interface QuestionTypeInterface {

  /**
   * Build Type.
   */
  public function getType();

  /**
   * Return default values.
   *
   * @param array $default_values
   *   Data default values.
   *
   * @return mixed
   *   The value(s).
   */
  public function getDefaultValues(array $default_values);

}
